# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "pqcrypto"
version = "0.12.2"
authors = ["Thom Wiggers <thom@thomwiggers.nl>"]
description = "Post-Quantum cryptographic primitives"
homepage = "https://github.com/rustpq/"
readme = "README.md"
keywords = ["cryptography", "post-quantum", "security"]
categories = ["cryptography"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/rustpq/pqcrypto/"
[package.metadata.docs.rs]
all-features = true
[dependencies.pqcrypto-classicmceliece]
version = "0.1.1"
optional = true

[dependencies.pqcrypto-dilithium]
version = "0.3.3"
optional = true

[dependencies.pqcrypto-falcon]
version = "0.2.4"
optional = true

[dependencies.pqcrypto-frodo]
version = "0.4.5"
optional = true

[dependencies.pqcrypto-hqc]
version = "0.0.4"
optional = true

[dependencies.pqcrypto-kyber]
version = "0.6.7"
optional = true

[dependencies.pqcrypto-ntru]
version = "0.5.2"
optional = true

[dependencies.pqcrypto-rainbow]
version = "0.1.3"
optional = true

[dependencies.pqcrypto-saber]
version = "0.1.5"
optional = true

[dependencies.pqcrypto-sphincsplus]
version = "0.5.2"
optional = true

[dependencies.pqcrypto-traits]
version = "0.3.2"

[features]
cryptographically-insecure = []
default = ["pqcrypto-kyber", "pqcrypto-frodo", "pqcrypto-ntru", "pqcrypto-saber", "pqcrypto-classicmceliece", "pqcrypto-hqc", "pqcrypto-dilithium", "pqcrypto-falcon", "pqcrypto-rainbow", "pqcrypto-sphincsplus"]
[badges.maintenance]
status = "actively-developed"

[badges.travis-ci]
branch = "master"
repository = "rustpq/pqcrypto"
